Bug 1470656 - Review Request: perl-Regexp-Stringify - Stringify a Regexp object
Review Request: perl-Regexp-Stringify - Stringify a Regexp object
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Pisar
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1470678
  Show dependency treegraph
 
Reported: 2017-07-13 08:10 EDT by Jitka Plesnikova
Modified: 2017-07-31 11:21 EDT (History)
2 users (show)

See Also:
Fixed In Version: perl-Regexp-Stringify-0.06-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-31 11:21:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ppisar: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jitka Plesnikova 2017-07-13 08:10:20 EDT
Spec URL: https://jplesnik.fedorapeople.org/perl-Regexp-Stringify/perl-Regexp-Stringify.spec
SRPM URL: https://jplesnik.fedorapeople.org/perl-Regexp-Stringify/perl-Regexp-Stringify-0.06-1.fc27.src.rpm

Description:
This module is an alternative to Perl's default stringification of Regexp
object and has some features/options, e.g. producing regexp string that is
compatible with certain perl versions.

Fedora Account System Username: jplesnik@redhat.com
Comment 1 Petr Pisar 2017-07-24 07:00:03 EDT
URL and Source0 addresses are Ok.
Source0 archive (SHA-256: 7a82fe44a2658d7ccc57f51a69954719473f066bf9148396b9f49b86593b56f5) is original. Ok.
Summary verified from lib/Regexp/Stringify.pm. Ok.
Description verified from lib/Regexp/Stringify.pm. Ok.
License verified from LICENSE and lib/Regexp/Stringify.pm. Ok.
No XS code, noarch BuildArch is Ok.
Test::Pod::Coverage and Pod::Coverage::TrustPod and Test::Pod are not used. Ok.

FIX: Build-require `perl(blib)' for tests (t/00-compile.t:19).

All tests pass. Ok.

$ rpmlint perl-Regexp-Stringify.spec ../SRPMS/perl-Regexp-Stringify-0.06-1.fc27.src.rpm ../RPMS/noarch/perl-Regexp-Stringify-0.06-1.fc27.noarch.rpm 
perl-Regexp-Stringify.src: W: spelling-error %description -l en_US stringification -> stratification, transmogrification, gentrification
perl-Regexp-Stringify.noarch: W: spelling-error %description -l en_US stringification -> stratification, transmogrification, gentrification
2 packages and 1 specfiles checked; 0 errors, 2 warnings.
rpmlint is Ok.

$ rpm -q -lv -p ../RPMS/noarch/perl-Regexp-Stringify-0.06-1.fc27.noarch.rpm 
drwxr-xr-x    2 root    root                        0 Jul 24 12:53 /usr/share/doc/perl-Regexp-Stringify
-rw-r--r--    1 root    root                      711 Oct 29  2016 /usr/share/doc/perl-Regexp-Stringify/Changes
-rw-r--r--    1 root    root                      431 Oct 29  2016 /usr/share/doc/perl-Regexp-Stringify/README
drwxr-xr-x    2 root    root                        0 Jul 24 12:53 /usr/share/licenses/perl-Regexp-Stringify
-rw-r--r--    1 root    root                    18367 Oct 29  2016 /usr/share/licenses/perl-Regexp-Stringify/LICENSE
-rw-r--r--    1 root    root                     2390 Jul 24 12:53 /usr/share/man/man3/Regexp::Stringify.3pm.gz
drwxr-xr-x    2 root    root                        0 Jul 24 12:53 /usr/share/perl5/vendor_perl/Regexp
-rw-r--r--    1 root    root                     5221 Oct 29  2016 /usr/share/perl5/vendor_perl/Regexp/Stringify.pm
File layout and permissions are Ok.

$ rpm -q --requires -p ../RPMS/noarch/perl-Regexp-Stringify-0.06-1.fc27.noarch.rpm | sort -f | uniq -c
      1 perl(:MODULE_COMPAT_5.26.0)
      1 perl(:VERSION) >= 5.10.1
      1 perl(Exporter)
      1 perl(re)
      1 perl(strict)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

$ rpm -q --provides -p ../RPMS/noarch/perl-Regexp-Stringify-0.06-1.fc27.noarch.rpm | sort -f | uniq -c
      1 perl(Regexp::Stringify) = 0.06
      1 perl-Regexp-Stringify = 0.06-1.fc27
Binary provides are Ok.

$ resolvedeps rawhide ../RPMS/noarch/perl-Regexp-Stringify-0.06-1.fc27.noarch.rpm 
Binary dependencies resolvable. Ok.

The package builds in F27 (https://koji.fedoraproject.org/koji/taskinfo?taskID=20711448). Ok.

Otherwise the package is in line with Fedora and Perl packaging guidelines.

Please correct the `FIX' item before building this package.
Resolution: Package APPROVED.
Comment 2 Gwyn Ciesla 2017-07-31 08:20:08 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/perl-Regexp-Stringify
Comment 3 Jitka Plesnikova 2017-07-31 11:21:52 EDT
Thank you for the review and the repository.

Note You need to log in before you can comment on or make changes to this bug.